Bug 815093

Summary: boot warning >> udevd[493] specified group 'plugdev' unknown
Product: [Fedora] Fedora Reporter: Simon Lewis <simon.lewis>
Component: libftdiAssignee: Lucian Langa <lucilanga>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 16CC: cbm, harald, johannbg, jonathan, jscalia, karl+rhbugzilla, lucilanga, neteler, paulo.fidalgo.pt, simon.lewis, sjensen, udev-maint, wendellcraigbaker
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835636 (view as bug list) Environment:
Last Closed: 2013-02-13 13:19:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Simon Lewis 2012-04-22 13:01:16 UTC
The warning "udevd[493] specified group 'plugdev' unknown" is always shown on boot, the number varies each time, I guess that's to do with sequence systemd runs.

The boot sequence is not stopped and the installation runs correctly, except that the alsa interfaces sometimes show up late.

I can't find "plugdev" using a text search recursively in /etc - so I don't know where it's coming from.

Any ideas?

Comment 1 Harald Hoyer 2012-04-23 10:31:49 UTC
$ fgrep -r plugdev /{etc,lib}/udev/rules.d
/etc/udev/rules.d/99-libftdi.rules:SUBSYSTEM=="usb", ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6010", MODE="0664", GROUP="plugdev"

$ rpm -qf /etc/udev/rules.d/99-libftdi.rules
libftdi-0.19-3.fc17.x86_64

Comment 2 Kay Sievers 2012-04-23 11:16:42 UTC
The group "plugdev" is a pretty misguided and inflexible Ubuntu concept to grant
device access to ordinary users.

Fedora supports dynamic uder ACLs, and does not want to support any static
groups for users.

The rule needs to be fixed, the group "plugdev" should not exist on Fedora.

Comment 3 J├│hann B. Gu├░mundsson 2012-09-21 13:19:20 UTC
From the looks of it this one has not been fixed but rather "worked around" 

http://pkgs.fedoraproject.org/cgit/libftdi.git/tree/libftdi.spec

"%pre
getent group plugdev >/dev/null || groupadd -r plugdev
exit 0"

Kay can you give a bit more detail ( sample ) on what is the proper way to fix this since we are seeing this in more packages then just this one

Comment 4 Kay Sievers 2012-09-23 11:20:08 UTC
(In reply to comment #3)
> From the looks of it this one has not been fixed but rather "worked around" 
> 
> http://pkgs.fedoraproject.org/cgit/libftdi.git/tree/libftdi.spec
> 
> "%pre
> getent group plugdev >/dev/null || groupadd -r plugdev
> exit 0"
> 
> Kay can you give a bit more detail ( sample ) on what is the proper way to
> fix this since we are seeing this in more packages then just this one

Sure, we must entirely get rid of that crap. "plugdev" is a very misguided
and fundamentally wrong Ubuntuism. Fedora must not solve problems that way,
we do not put users in system groups to grant access to devices, especially
do not define non-sensical groups like: "the group of users that can plug
devices into the system".

Fedora uses individually managed ACLs for granting ordinary user access
to devices. The ACLs are seat (multiple users working simultaneously on
the same host), and they track session activity. It depends on the type
of devices how to hook up the device in the ACL handling:
  http://cgit.freedesktop.org/systemd/systemd/tree/src/login/70-uaccess.rules

Please just patch the rules not to use "plugdev" at all, we can do better and
don't want "plugdev" in Fedora. Thanks!

Comment 5 Paulo Fidalgo 2012-10-16 10:11:10 UTC
Argyll relies on plugdev group too:

fgrep -r plugdev /{etc,lib}/udev/rules.d
/lib/udev/rules.d/55-Argyll.rules:# Otherwise, restrict access to members of the plugdev group
/lib/udev/rules.d/55-Argyll.rules:ENV{COLOR_MEASUREMENT_DEVICE}=="*?", ENV{ACL_MANAGE}!="*?", MODE="660", GROUP="plugdev"

Comment 6 Paulo Fidalgo 2012-10-16 10:13:44 UTC
Forget my last comment... it's unrelated with libftdi.

Comment 7 Fedora End Of Life 2013-01-16 12:47:02 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-02-13 13:19:36 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.